Package com.independentsoft.office.word

# Class RunTrackChange

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.TrackChange
com.independentsoft.office.word.RunTrackChange

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

Direct Known Subclasses:
  `DeletedRunContent`, `InsertedRunContent`, `MoveFromRunContent`, `MoveToRunContent`

public abstract class RunTrackChange extends TrackChange implements IRunLevelElement
The Class RunTrackChange.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<IRunTrackChangeContent>`
  `content`

  ### Fields inherited from class com.independentsoft.office.word.TrackChange

  `author, date`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunTrackChange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract RunTrackChange`
  `clone()`
  `List<IRunTrackChangeContent>`
  `getContent()`
  Gets the content.
  `abstract List<IContentElement>`
  `getContentElements()`

  ### Methods inherited from class com.independentsoft.office.word.TrackChange

  `getAuthor, getDate, setAuthor, setDate`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### content

    protected List<IRunTrackChangeContent> content

- ## Constructor Details

  - ### RunTrackChange

    public RunTrackChange()

- ## Method Details

  - ### clone

    public abstract RunTrackChange clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `TrackChange`

  - ### getContentElements

    public abstract List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### getContent

    public List<IRunTrackChangeContent> getContent()
    Gets the content.
    Returns:
      the content